org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessTimer.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessTimerOrBuilder
  Enclosing class:
    JBPMMessages.ProcessTimer

      public static final class JBPMMessages.ProcessTimer.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>
      implements JBPMMessages.ProcessTimerOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessTimer`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessTimer.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessTimer` | `build()`
    `JBPMMessages.ProcessTimer` | `buildPartial()`
    `JBPMMessages.ProcessTimer.Builder` | `clear()`
    `JBPMMessages.ProcessTimer.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.ProcessTimer.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.ProcessTimer.Builder` | `clearTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.Builder` | `clearTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `JBPMMessages.ProcessTimer.Builder` | `clone()`
    `JBPMMessages.ProcessTimer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `getTimerBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `org.drools.core.marshalling.impl.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder` | `getTriggerBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `boolean` | `hasTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessTimer.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessTimer.Builder` | `mergeFrom(JBPMMessages.ProcessTimer other)`
    `JBPMMessages.ProcessTimer.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessTimer.Builder` | `mergeTimer(JBPMMessages.ProcessTimer.TimerInstance value)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.Builder` | `mergeTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `JBPMMessages.ProcessTimer.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.ProcessTimer.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessTimer.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.ProcessTimer.Builder` | `setTimer(JBPMMessages.ProcessTimer.TimerInstance.Builder builderForValue)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.Builder` | `setTimer(JBPMMessages.ProcessTimer.TimerInstance value)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.Builder` | `setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder builderForValue)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `JBPMMessages.ProcessTimer.Builder` | `setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `JBPMMessages.ProcessTimer.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### clear

          public JBPMMessages.ProcessTimer.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessTimer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessTimer build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessTimer buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.ProcessTimer.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### setField

          public JBPMMessages.ProcessTimer.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### clearField

          public JBPMMessages.ProcessTimer.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### clearOneof

          public JBPMMessages.ProcessTimer.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### setRepeatedField

          public JBPMMessages.ProcessTimer.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### addRepeatedField

          public JBPMMessages.ProcessTimer.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.Builder mergeFrom(JBPMMessages.ProcessTimer other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.Builder>`
      Throws:
        `IOException`

    - #### hasTimer

          public boolean hasTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `hasTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTimer

          public JBPMMessages.ProcessTimer.TimerInstance getTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `getTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### setTimer

          public JBPMMessages.ProcessTimer.Builder setTimer(JBPMMessages.ProcessTimer.TimerInstance value)

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### setTimer

          public JBPMMessages.ProcessTimer.Builder setTimer(JBPMMessages.ProcessTimer.TimerInstance.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### mergeTimer

          public JBPMMessages.ProcessTimer.Builder mergeTimer(JBPMMessages.ProcessTimer.TimerInstance value)

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### clearTimer

          public JBPMMessages.ProcessTimer.Builder clearTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### getTimerBuilder

          public JBPMMessages.ProcessTimer.TimerInstance.Builder getTimerBuilder()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### getTimerOrBuilder

          public JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `getTimerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### hasTrigger

          public boolean hasTrigger()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `hasTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTrigger

          public org.drools.core.marshalling.impl.ProtobufMessages.Trigger getTrigger()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `getTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### setTrigger

          public JBPMMessages.ProcessTimer.Builder setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`

    - #### setTrigger

          public JBPMMessages.ProcessTimer.Builder setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder builderForValue)

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`

    - #### mergeTrigger

          public JBPMMessages.ProcessTimer.Builder mergeTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`

    - #### clearTrigger

          public JBPMMessages.ProcessTimer.Builder clearTrigger()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`

    - #### getTriggerBuilder

          public org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder getTriggerBuilder()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`

    - #### getTriggerOrBuilder

          public org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `getTriggerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### setUnknownFields

          public final JBPMMessages.ProcessTimer.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.ProcessTimer.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.Builder>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.